/*******************************************************
     POV-Ray - Blob_Man Costume Definition File
 File Name : filename.cdf
 BM_Version: 4.0
 Desciption: Costume Definition File Layout
 Date      : 
 Author    : 
 Email     : 
 WWW       : 
********************************************************/
#declare CDF=true; //Used by Body_Part_Viewer.pov Can be removed. 
/********************************************************
  Image Maps & Textures
********************************************************/

//#declare Skin_Tex  = texture {}                         
//#declare Lip_Tex   = texture {}                         
//#declare Hair_Tex  = texture {}                         
//#declare Tooth_Pig = pigment {}

//#declare Map_Finish = finish {}
//#declare Map_Normal = normal {}

//#declare Bump_Map_Size = 0.25;

// PNG Image Maps for Body Parts these must be in your Library Path

//#declare Face_IMap       = "filename.png"
//#declare Torso_IMap      = "filename.png"
//#declare Upperarm_R_IMap = "filename.png"
//#declare Upperarm_L_IMap = "filename.png"
//#declare Forearm_R_IMap  = "filename.png"
//#declare Forearm_L_IMap  = "filename.png"
//#declare Hand_R_IMap     = "filename.png"
//#declare Hand_L_IMap     = "filename.png"
//#declare Thigh_R_IMap    = "filename.png"
//#declare Thigh_L_IMap    = "filename.png"
//#declare Calf_R_IMap     = "filename.png"
//#declare Calf_L_IMap     = "filename.png"
//#declare Foot_R_IMap     = "filename.png"
//#declare Foot_L_IMap     = "filename.png"

// PNG Bump Maps for Body Parts these must be in your Library Path     
     
//#declare Face_BMap       = "filename.png"
//#declare Torso_BMap      = "filename.png"
//#declare Upperarm_R_BMap = "filename.png"
//#declare Upperarm_L_BMap = "filename.png"
//#declare Forearm_R_BMap  = "filename.png"
//#declare Forearm_L_BMap  = "filename.png"
//#declare Hand_R_BMap     = "filename.png"
//#declare Hand_L_BMap     = "filename.png"
//#declare Thigh_R_BMap    = "filename.png"
//#declare Thigh_L_BMap    = "filename.png"
//#declare Calf_R_BMap     = "filename.png"
//#declare Calf_L_BMap     = "filename.png"
//#declare Foot_R_BMap     = "filename.png"
//#declare Foot_L_BMap     = "filename.png"


/********************************************************
  Body Part Options
********************************************************/


// Jaw - Range: 0 - 1  0 = Closed, 1 = Open
// This option would be better set in the Scene File before the macro is called.
//#declare BM_Jaw=.5; 

// Mouth - Range : -0.5 - 0.5 = Width of Mouth  
//   Note: this overides the setting called my the head macro (and consequently .pos files)
// This option would be better set in the Scene File before the macro is called.
//#declare BM_Mouth=0;

// Ears - 2 = Normal Ears, 1=Replace ears with small lumps as if under a swimming cap, 0 = No ears
//#declare BM_Ears=2;

// Eyes - 1=Normal 0=No Eyes
//#declare BM_Eyes=1;

// Nose - Range : 0 - 1.25 Size of Nose
//#declare BM_Nose=.5;

// Face - 1 = Normal Face Structure, 0 = Removes Nose and Lips
//#declare BM_Face=2;

// Teeth - 0 = No Teeth, 1 = Teeth
//#declare BM_Teeth=1;

// Jowls - Range : 0 - 3 Mass added to side of jaw.
//#declare BM_Jowls=0;

// Body Style - 0=Original Chest Modelling 1=New Chest Modelling
//#declare BM_BodyStyle=1;                  

// Toes - 1 = Bare Foot with toes, 0 = Replaces toes so that foot looks like it has a sock on
//#declare BM_Toes=1;

// Hand Scale <X,Y,Z>
//#declare BM_Hand_Scale=<1,1,1>;

// Head - 1 = Normal Head, 0 = No Head, -1 = Guides
//#declare BM_Head_Mass=1;

// Torso - 1 = Normal Torso, 0 = No Torso, -1 = Guides
//#declare BM_Torso_Mass=1;

// Right Upperarm - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_R_Upperarm_Mass=2;

// Right Forearm - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_R_Forearm_Mass=2;

// Right Hand - 1 = Normal, 0 = Amputated
//#declare BM_R_Hand=1;

// Left Upperarm - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_L_Upperarm_Mass=2;

// Left Forearm - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_L_Forearm_Mass=2;

// Left Hand  - 1 = Normal, 0 = Amputated
//#declare BM_L_Hand=1;

// Right Thigh - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_R_Thigh_Mass=2;

// Right Calf - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_R_Calf_Mass=2;

// Right Foot - 1 = Normal, 0 = Amputated
//#declare BM_R_Foot=1;

// Left Thigh - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_L_Thigh_Mass=2;

// Left Calf - 2 = Muscles, 1 = Cylinders, 0 = Amputated, -1=Guide
//#declare BM_L_Calf_Mass=2;

// Left Foot - 1 = Normal, 0 = Amputated
//#declare BM_L_Foot=1;


/********************************************************
  Body Part Objects
********************************************************/

//#declare Head_Object=object{Head_Object}
//#declare Torso_Object=object{Torso_Object}
//#declare Upperarm_R_Object=object {Upperarm_R_Object}
//#declare Upperarm_L_Object=object {Upperarm_L_Object}
//#declare Forearm_R_Object=object {Forearm_R_Object}
//#declare Forearm_L_Object=object {Forearm_L_Object}
//#declare Hand_R_Object=object {Hand_R_Object}
//#declare Hand_L_Object=object {Hand_L_Object}
//#declare Thigh_R_Object=object {Thigh_R_Object}
//#declare Thigh_L_Object=object {Thigh_L_Object}
//#declare Calf_R_Object=object {Calf_R_Object}
//#declare Calf_L_Object=object {Calf_L_Object}
//#declare Foot_R_Object=object {Foot_R_Object}
//#declare Foot_L_Object=object {Foot_R_Object}

// EOF